Package org.eclipse.emf.cdo.explorer

# Class CDOExplorerUtil

java.lang.Object
org.eclipse.emf.cdo.explorer.CDOExplorerUtil

public final class CDOExplorerUtil extends Object
Various static methods that may help in CDO explorer applications.

Since:
  4.4
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`URI_SCHEME`

## Constructor Summary

Constructors
Constructor
Description
`CDOExplorerUtil()`

## Method Summary

Modifier and Type
Method
Description
`static IResource`
`createWorkspaceLink(CDOCheckout checkout, String sourcePath, IContainer targetContainer, String targetName, boolean shallowTimeStamp, IProgressMonitor monitor)`
`static IResource`
`createWorkspaceLink(CDOCheckout checkout, String sourcePath, IContainer targetContainer, String targetName, IProgressMonitor monitor)`
`static String`
`getCDOIDString(CDOID id)`
`static CDOCheckout`
`getCheckout(Object object)`
`static CDOCheckoutManager`
`getCheckoutManager()`
`static String`
`getName(Object object)`
`static Object`
`getParent(Object object)`
`static LinkedList<Object>`
`getPath(Object object)`
`static CDORepositoryManager`
`getRepositoryManager()`
`static CDOCheckout`
`walkUp(Object object, LinkedList<Object> path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### URI_SCHEME

public static final String URI_SCHEME

Since:
  4.8
See Also:
  - Constant Field Values

## Constructor Details

### CDOExplorerUtil

public CDOExplorerUtil()

## Method Details

### getRepositoryManager

public static CDORepositoryManager getRepositoryManager()

### getCheckoutManager

public static CDOCheckoutManager getCheckoutManager()

### getCheckout

public static CDOCheckout getCheckout(Object object)

### getParent

public static Object getParent(Object object)

### getName

public static String getName(Object object)

### getPath

public static LinkedList<Object> getPath(Object object)

### walkUp

public static CDOCheckout walkUp(Object object, LinkedList<Object> path)

### getCDOIDString

public static String getCDOIDString(CDOID id)

Since:
  4.7

### createWorkspaceLink

public static IResource createWorkspaceLink(CDOCheckout checkout, String sourcePath, IContainer targetContainer, String targetName, boolean shallowTimeStamp, IProgressMonitor monitor) throws CoreException

Throws:
  `CoreException`
Since:
  4.9

### createWorkspaceLink

public static IResource createWorkspaceLink(CDOCheckout checkout, String sourcePath, IContainer targetContainer, String targetName, IProgressMonitor monitor) throws CoreException

Throws:
  `CoreException`
Since:
  4.9